[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / misc / yelp

Please note that diffs are not public domain; they are subject to the copyright notices on the relevant files.

Diff for /pkgsrc/misc/yelp/Attic/Makefile between version 1.5 and 1.66

version 1.5, 2003/12/28 23:37:07 version 1.66, 2007/03/21 12:05:50
Line 1 
Line 1 
 # $NetBSD$  # $NetBSD$
 #  #
   
 DISTNAME=               yelp-2.4.2  DISTNAME=               yelp-2.16.2
 PKGREVISION=            1  PKGREVISION=            2
 CATEGORIES=             misc  CATEGORIES=             misc
 MASTER_SITES=           ${MASTER_SITE_GNOME:=sources/yelp/2.4/}  MASTER_SITES=           ${MASTER_SITE_GNOME:=sources/yelp/2.16/}
 EXTRACT_SUFX=           .tar.bz2  EXTRACT_SUFX=           .tar.bz2
   
 MAINTAINER=             xtraeme@NetBSD.org  MAINTAINER=             pkgsrc-users@NetBSD.org
 HOMEPAGE=               http://www.gnome.org/  HOMEPAGE=               http://www.gnome.org/
 COMMENT=                Help browser for GNOME 2 desktop  COMMENT=                Help browser for GNOME 2 desktop
   
 DEPENDS=                gnome2-dirs>=1.2:../../misc/gnome2-dirs  DEPENDS+=               docbook>=4.2:../../textproc/docbook
 BUILD_USES_MSGFMT=      yes  
   
 USE_BUILDLINK2=         yes  BUILDLINK_API_DEPENDS.libxslt+= libxslt>=1.1.4
 USE_GMAKE=              yes  
   USE_DIRS+=              gnome2-1.5
   USE_TOOLS+=             gmake intltool msgfmt pkg-config
 USE_LIBTOOL=            yes  USE_LIBTOOL=            yes
 USE_PKGLOCALEDIR=       yes  USE_PKGLOCALEDIR=       yes
 USE_X11=                yes  
 GNU_CONFIGURE=          yes  GNU_CONFIGURE=          yes
 LIBTOOL_OVERRIDE=       ${WRKSRC}/libtool  USE_LANGUAGES=          c c++
   CONFIGURE_ENV+=         PKGLOCALEDIR=${PKGLOCALEDIR}
 CONFIGURE_ARGS+=        --with-html-widget=gtkhtml2  CONFIGURE_ARGS+=        --with-html-widget=gtkhtml2
   
 .include "../../devel/gettext-lib/buildlink2.mk"  GCONF2_SCHEMAS=         yelp.schemas
 .include "../../devel/libgnomeui/buildlink2.mk"  
 .include "../../devel/pkgconfig/buildlink2.mk"  .include "options.mk"
   
   BUILDLINK_API_DEPENDS.gtk2+=            gtk2+>=2.10.0
   BUILDLINK_API_DEPENDS.libgnome+=                libgnome>=2.14.0
   BUILDLINK_API_DEPENDS.libgnomeui+=              libgnomeui>=2.14.0
   BUILDLINK_API_DEPENDS.startup-notification+=    startup-notification>=0.8
   BUILDLINK_API_DEPENDS.libxml2+=                 libxml2>=2.6.5
   
   BUILDLINK_DEPMETHOD.gnome-doc-utils+=   full
   BUILDLINK_DEPMETHOD.libXt?=     build
   
   .include "../../archivers/bzip2/buildlink3.mk"
   .include "../../devel/GConf2/schemas.mk"
   .include "../../devel/gettext-lib/buildlink3.mk"
   .include "../../devel/glib2/buildlink3.mk"
   .include "../../devel/libglade2/buildlink3.mk"
   .include "../../devel/libgnome/buildlink3.mk"
   .include "../../devel/libgnomeui/buildlink3.mk"
   .include "../../devel/pango/buildlink3.mk"
   .include "../../devel/zlib/buildlink3.mk"
   .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
   .include "../../net/ORBit2/buildlink3.mk"
   .include "../../print/libgnomeprint/buildlink3.mk"
   .include "../../print/libgnomeprintui/buildlink3.mk"
   .include "../../sysutils/dbus-glib/buildlink3.mk"
   .include "../../sysutils/gnome-vfs2/buildlink3.mk"
   .include "../../textproc/libxml2/buildlink3.mk"
   .include "../../textproc/libxslt/buildlink3.mk"
   .include "../../textproc/gnome-doc-utils/buildlink3.mk"
 .include "../../textproc/scrollkeeper/omf.mk"  .include "../../textproc/scrollkeeper/omf.mk"
 .include "../../www/libgtkhtml/buildlink2.mk"  .include "../../www/seamonkey/gecko-depends.mk"
   .include "../../x11/gtk2/buildlink3.mk"
   .include "../../x11/libSM/buildlink3.mk"
   .include "../../x11/libX11/buildlink3.mk"
   .include "../../x11/libXt/buildlink3.mk"
   .include "../../x11/startup-notification/buildlink3.mk"
   
 .include "../../mk/bsd.pkg.mk"  .include "../../mk/bsd.pkg.mk"

Legend:
Removed from v.1.5  
changed lines
  Added in v.1.66

CVSweb <webmaster@jp.NetBSD.org>